DCMTK: DcmOutputFilter Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmOutputFilter Class Referenceabstract

pure virtual abstract base class for output filters, i.e. More...

Inheritance diagram for DcmOutputFilter:

## Public Member Functions
virtual | ~DcmOutputFilter ()
| destructor
virtual void | append (DcmConsumer &consumer)=0
| determines the consumer to which the filter is supposed to write it's output.
Public Member Functions inherited from DcmConsumer
virtual | ~DcmConsumer ()
| destructor
virtual OFBool | good () const =0
| returns the status of the consumer.
virtual OFCondition | status () const =0
| returns the status of the consumer as an OFCondition object.
virtual OFBool | isFlushed () const =0
| returns true if the consumer is flushed, i.e.
virtual offile_off_t | avail () const =0
| returns the minimum number of bytes that can be written with the next call to write().
virtual offile_off_t | write (const void *buf, offile_off_t buflen)=0
| processes as many bytes as possible from the given input block.
virtual void | flush ()=0
| instructs the consumer to flush its internal content until either the consumer becomes "flushed" or I/O suspension occurs.

## Detailed Description

pure virtual abstract base class for output filters, i.e.

intermediate nodes of a filter chain in an output stream.

## Member Function Documentation

## ◆ append()

virtual void DcmOutputFilter::append | ( | DcmConsumer & | consumer | ) |
| pure virtual

determines the consumer to which the filter is supposed to write it's output.

Once a consumer for the output filter has been defined, it cannot be changed anymore during the lifetime of the object.

Parameters

  consumer | reference to consumer, must not be circular chain

Implemented in DcmZLibOutputFilter.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcostrma.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1